# MPQC::ComponentClassDescription_impl Class Reference

Symbol "MPQC.ComponentClassDescription" (version 0.2) More...

`#include <MPQC_ComponentClassDescription_Impl.hh>`

List of all members.

## Public Member Functions

| ComponentClassDescription_impl (struct MPQC_ComponentClassDescription__object *s)
void | _ctor ()
void | _dtor ()
void | initialize (const ::std::string &className, const ::std::string &classAlias) throw ()
| user defined non-static method.
::std::string | getComponentClassName () throw ( ::gov::cca::CCAException )
| Returns the class name provided in `BuilderService.createInstance()` or in `AbstractFramework.getServices()`.

## Static Public Member Functions

static void | _load ()

## Detailed Description

Symbol "MPQC.ComponentClassDescription" (version 0.2)

ComponentClassDescription implements a CCA standard component interface for class desciptions. This class is used to inform the ComponentFactory of available components in a statically linked executable.

This is an implementation of a SIDL interface. The stub code is generated by the Babel tool. Do not make modifications outside of splicer blocks, as these will be lost. This is a server implementation for a Babel class, the Babel client code is provided by the cca-spec-babel package.

## Member Function Documentation

::std::string MPQC::ComponentClassDescription_impl::getComponentClassName | ( |  | ) | throw ( ::gov::cca::CCAException )

Returns the class name provided in `BuilderService.createInstance()` or in `AbstractFramework.getServices()`.

Throws `CCAException` if `ComponentClassDescription` is invalid.

The documentation for this class was generated from the following file:

- MPQC_ComponentClassDescription_Impl.hh